#include "game.h"
#include <raylib.h>

// Handle input for snake movement
void HandleInput(Snake *snake) {
    if (IsKeyPressed(KEY_RIGHT) && snake->direction.x != -1) {
        snake->direction.x = 1; 
        snake->direction.y = 0;
    }
    else if (IsKeyPressed(KEY_LEFT) && snake->direction.x != 1) {
        snake->direction.x = -1; 
        snake->direction.y = 0;
    }
    else if (IsKeyPressed(KEY_UP) && snake->direction.y != 1) {
        snake->direction.x = 0; 
        snake->direction.y = -1;
    }
    else if (IsKeyPressed(KEY_DOWN) && snake->direction.y != -1) {
        snake->direction.x = 0; 
        snake->direction.y = 1;
    }
}

// Restart game when Enter key is pressed
void ResetGame(Snake *snake, Food *food, int *score, bool *gameOver) {
    InitSnake(snake);
    SpawnFood(food);
    *score = 0;
    *gameOver = false;
}
// if the game status is paused resume game and vice versa
void TogglePause (GameState *state) {
    if (*state == PLAYING) {
        *state = PAUSED;
    } else if (*state == PAUSED) {
        *state = PLAYING;
    }
}

// handle input for toggle pause, (activates the function)
void HandlePauseInput(GameState * state) {
    if (IsKeyPressed(KEY_ESCAPE) || IsKeyPressed(KEY_P)) {
        TogglePause(state);
    }
}