#ifndef GAME_H
#define GAME_H

#include "snake.h"
#include "food.h"
#include "obstacle.h"  // Added for obstacle support

// Game state enum (added but doesn't conflict with existing bool gameOver)
typedef enum { MENU, PLAYING, PAUSED, GAME_OVER } GameState;


void HandleInput(Snake *snake);
void ResetGame(Snake *snake, Food *food, int *score, bool *gameOver);


void ResetGameWithObstacles(Snake *snake, Food *food, Obstacle obstacles[], int *score, int *level, GameState *state);
void TogglePause(GameState *state);
void HandlePauseInput(GameState *state);

#endif